Name:           fldigi
Version:        4.1.17.06
Release:        1%{?dist}
Summary:        Digital modem program for Linux

License:        GPLv3+  
URL:            http://www.w1hkj.com/Fldigi.html

Source0:        http://www.w1hkj.com/alpha/%{name}/%{name}-%{version}.tar.gz
Source100:      fldigi.appdata.xml

#Patch0:         fldigi-memset.patch

BuildRequires:  gcc gcc-c++ automake autoconf libtool
BuildRequires:  hamlib-devel
BuildRequires:  fltk-devel >= 1.3
%if 0%{?rhel} && 0%{?rhel} < 8
BuildRequires:  fltk-static libXcursor-devel
%endif
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  portaudio-devel >= 19-4
BuildRequires:  libsndfile-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libsamplerate-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  gettext
BuildRequires:  libXinerama-devel

Provides:       bundled(xmlrpc)

%if 0%{?fedora}
# For appstream-util
BuildRequires:  libappstream-glib
%endif

%{?fedora:Recommends:     trustedqsl}

Provides:       flarq = %{version}-%{release}

%description
Fldigi is a modem program which supports most of the digital modes used by 
ham radio operators today. You can also use the program for calibrating your 
sound card to WWV or doing a frequency measurement test. The program also comes 
with a CW decoder. fldigi is written with the help of the Fast Light Toolkit X 
GUI. Fldigi is a fast moving project many added features with each update.

Flarq (Fast Light Automatic Repeat Request) is a file transfer application
that is based on the ARQ specification developed by Paul Schmidt, K9PS.
It is capable of transmitting and receiving frames of ARQ data via fldigi.


%prep
%autosetup -p1 -n %{name}-%{version}%{?prerel:.%{prerel}}


%build
autoreconf -fi
%if 0%{?rhel} && 0%{?rhel} < 8
%configure --enable-static
%else
%configure
%endif
make %{?_smp_mflags} CFLAGS="%{optflags}" LIBS="-lm -lX11 -lpthread" V=1


%install
%make_install

# Add keywords to desktop file for gnome-shell and software center.
echo "Keywords=modem;psk;rtty;cw;fsq;fsk;" >> %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/flarq.desktop

# Add fldigi-psk.png as it's in PNG format and higher resolution than the XPM.
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
install -pm 0644 data/fldigi-psk.png \
    %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%find_lang %{name}

%if 0%{?fedora}
# Install and validate appdata file
mkdir -p %{buildroot}%{_datadir}/appdata
install %{SOURCE100} -pm 0644 %{buildroot}%{_datadir}/appdata/
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml
%endif

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README NEWS
%{_bindir}/*
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm 
%{_datadir}/pixmaps/flarq.xpm 
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/flarq.1.gz
%{?fedora:%{_datadir}/appdata/fldigi.appdata.xml}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/flarq.desktop
%{_datadir}/%{name}/


%changelog
* Thu Dec 31 2020 Richard Shaw <hobbes1069@gmail.com> - 4.1.17.06-1
- Update to 4.1.17.06 testing.

* Thu Nov 12 2020 Richard Shaw <hobbes1069@gmail.com> - 4.1.15.06-1
- Update to 4.1.15.06.

* Wed Oct 28 2020 Richard Shaw <hobbes1069@gmail.com> - 4.1.15.05-1
- Update to 4.1.15.05.

* Mon Oct 12 2020 Richard Shaw <hobbes1069@gmail.com> - 4.1.14.70-1
- new version

* Tue Oct 06 2020 Richard Shaw <hobbes1069@gmail.com> - 4.1.14.65-1
- new version

* Sat Oct 03 2020 Richard Shaw <hobbes1069@gmail.com> - 4.1.14.64-1
- Update to 4.1.14.64.

* Wed Sep 30 2020 Richard Shaw <hobbes1069@gmail.com> - 4.1.14.61-1
- Update to 4.1.14.61 alpha.

